Main Page Widgets Namespaces Book

# Gtk::Toolbar Class Reference
[Widgets, Container Widgets, Toolbar classes]

Inheritance diagram for Gtk::Toolbar:

[legend]
List of all members.

## Detailed Description

Bars of buttons and other widgets.

The STL-style container is available via the tools() method.

## Public Types

typedef Toolbar_Helpers::ToolList | ToolList
typedef Toolbar_Helpers::Callback0 | Callback0

## Public Member Functions

virtual | ~Toolbar ()
GtkToolbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkToolbar* | gobj () const
| Provides access to the underlying C GtkObject.
| Toolbar ()
void | set_orientation (Orientation orientation)
Orientation | get_orientation () const
| Retrieves the current orientation of the toolbar.
void | set_toolbar_style (ToolbarStyle style)
ToolbarStyle | get_toolbar_style () const
| Retrieves whether the toolbar has text, icons, or both .
void | set_tooltips (bool enable=true)
bool | get_tooltips () const
| Retrieves whether tooltips are enabled.
void | set_icon_size (IconSize icon_size)
| This function sets the size of stock icons in the toolbar.
IconSize | get_icon_size () const
| Retrieves the icon size fo the toolbar.
void | unset_toolbar_style ()
| Unsets a toolbar style set with set_style(), so that user preferences will be used to determine the toolbar style.
void | unset_icon_size ()
| Unsets toolbar icon size set with set_icon_size(), so that user preferences will be used to determine the icon size.
Glib::SignalProxy1< void, Orientation > | signal_orientation_changed ()
Glib::SignalProxy1< void, ToolbarStyle > | signal_toolbar_style_changed ()
ToolList& | tools ()
| STL-style container.
const ToolList& | tools () const
| STL-style container.
Gtk::Widget* | append_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Gtk::Widget& icon, Callback0 slot)
Gtk::Widget* | append_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Callback0 slot)
Gtk::Widget* | prepend_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Gtk::Widget& icon, Callback0 slot)
Gtk::Widget* | prepend_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Callback0 slot)
Gtk::Widget* | insert_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Gtk::Widget& icon, Callback0 slot, int position)
Gtk::Widget* | insert_item (const Glib::ustring& text, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Callback0 slot, int position)
Gtk::Widget* | insert_stock (const Gtk::StockID& stock_id, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, Callback0 slot, int position)
void | append_space ()
void | prepend_space ()
void | insert_space (int position)
void | remove_space (int position)
| Removes a space from the specified position.
void | append_widget (Gtk::Widget& widget, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())
| Adds a widget to the end of the given toolbar.
void | prepend_widget (Gtk::Widget& widget, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())
| Adds a widget to the beginning of the given toolbar.
void | insert_widget (Gtk::Widget& widget, const Glib::ustring& tooltip_text, const Glib::ustring& tooltip_private_text, int position)
| Inserts a widget in the toolbar at the given position.
Glib::PropertyProxy<Orientation> | property_orientation ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<ToolbarStyle> | property_toolbar_style ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_orientation_changed (Orientation orientation)
virtual void | on_toolbar_style_changed (ToolbarStyle style)

## Related Functions

(Note that these are not member functions.)
Gtk::Toolbar* | wrap (GtkToolbar* object, bool take_copy=false)

## Member Typedef Documentation

typedef Toolbar_Helpers::Callback0 Gtk::Toolbar::Callback0

typedef Toolbar_Helpers::ToolList Gtk::Toolbar::ToolList

## Constructor & Destructor Documentation

virtual Gtk::Toolbar::~Toolbar | ( |  | ) | `[virtual]`

Gtk::Toolbar::Toolbar | ( |  | ) |

## Member Function Documentation

Gtk::Widget* Gtk::Toolbar::append_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Callback0 | slot
| ) |

Gtk::Widget* Gtk::Toolbar::append_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Gtk::Widget& | icon,
|  | Callback0 | slot
| ) |

void Gtk::Toolbar::append_space | ( |  | ) |

void Gtk::Toolbar::append_widget | ( | Gtk::Widget& | widget,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

Adds a widget to the end of the given toolbar.

Parameters:

  widget | A Gtk::Widget to add to the toolbar.
  tooltip_text | The element's tooltip.
  tooltip_private_text | Used for context-sensitive help about this toolbar element.

IconSize Gtk::Toolbar::get_icon_size | ( |  | ) | const

Retrieves the icon size fo the toolbar.

See set_icon_size().

Returns:
  The current icon size for the icons on the toolbar.

Orientation Gtk::Toolbar::get_orientation | ( |  | ) | const

Retrieves the current orientation of the toolbar.

See set_orientation().

Returns:
  The orientation.

ToolbarStyle Gtk::Toolbar::get_toolbar_style | ( |  | ) | const

Retrieves whether the toolbar has text, icons, or both .

See set_style().

Returns:
  The current style of toolbar .

bool Gtk::Toolbar::get_tooltips | ( |  | ) | const

Retrieves whether tooltips are enabled.

See set_tooltips().

Returns:
  `true` if tooltips are enabled.

const GtkToolbar* Gtk::Toolbar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

GtkToolbar* Gtk::Toolbar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Container.

Gtk::Widget* Gtk::Toolbar::insert_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Callback0 | slot,
|  | int | position
| ) |

Gtk::Widget* Gtk::Toolbar::insert_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Gtk::Widget& | icon,
|  | Callback0 | slot,
|  | int | position
| ) |

void Gtk::Toolbar::insert_space | ( | int | position | ) |

Gtk::Widget* Gtk::Toolbar::insert_stock | ( | const Gtk::StockID& | stock_id,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Callback0 | slot,
|  | int | position
| ) |

void Gtk::Toolbar::insert_widget | ( | Gtk::Widget& | widget,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | int | position
| ) |

Inserts a widget in the toolbar at the given position.

Parameters:

  widget | A Gtk::Widget to add to the toolbar.
  tooltip_text | The element's tooltip.
  tooltip_private_text | Used for context-sensitive help about this toolbar element.
  position | The number of widgets to insert this widget after.

virtual void Gtk::Toolbar::on_orientation_changed | ( | Orientation | orientation | ) | `[protected, virtual]`

virtual void Gtk::Toolbar::on_toolbar_style_changed | ( | ToolbarStyle | style | ) | `[protected, virtual]`

Gtk::Widget* Gtk::Toolbar::prepend_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Callback0 | slot
| ) |

Gtk::Widget* Gtk::Toolbar::prepend_item | ( | const Glib::ustring& | text,
|  | const Glib::ustring& | tooltip_text,
|  | const Glib::ustring& | tooltip_private_text,
|  | Gtk::Widget& | icon,
|  | Callback0 | slot
| ) |

void Gtk::Toolbar::prepend_space | ( |  | ) |

void Gtk::Toolbar::prepend_widget | ( | Gtk::Widget& | widget,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

Adds a widget to the beginning of the given toolbar.

Parameters:

  widget | A Gtk::Widget to add to the toolbar.
  tooltip_text | The element's tooltip.
  tooltip_private_text | Used for context-sensitive help about this toolbar element.

Glib::PropertyProxy<Orientation> Gtk::Toolbar::property_orientation | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ToolbarStyle> Gtk::Toolbar::property_toolbar_style | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Toolbar::remove_space | ( | int | position | ) |

Removes a space from the specified position.

Parameters:

  position | The index of the space to remove.

void Gtk::Toolbar::set_icon_size | ( | IconSize | icon_size | ) |

This function sets the size of stock icons in the toolbar.

You can call it both before you add the icons and after they've been added. The size you set will override user preferences for the default icon size.

Parameters:

  icon_size | The Gtk::IconSize that stock icons in the toolbar shall have.

void Gtk::Toolbar::set_orientation | ( | Orientation | orientation | ) |

void Gtk::Toolbar::set_toolbar_style | ( | ToolbarStyle | style | ) |

void Gtk::Toolbar::set_tooltips | ( | bool | enable = true | ) |

Glib::SignalProxy1<void,Orientation> Gtk::Toolbar::signal_orientation_changed | ( |  | ) |

Prototype:
  `void orientation_changed(Orientation orientation)`

Glib::SignalProxy1<void,ToolbarStyle> Gtk::Toolbar::signal_toolbar_style_changed | ( |  | ) |

Prototype:
  `void toolbar_style_changed(ToolbarStyle style)`

const ToolList& Gtk::Toolbar::tools | ( |  | ) | const

| STL-style container.

ToolList& Gtk::Toolbar::tools | ( |  | ) |

| STL-style container.

void Gtk::Toolbar::unset_icon_size | ( |  | ) |

| Unsets toolbar icon size set with set_icon_size(), so that user preferences will be used to determine the icon size.

void Gtk::Toolbar::unset_toolbar_style | ( |  | ) |

| Unsets a toolbar style set with set_style(), so that user preferences will be used to determine the toolbar style.

## Friends And Related Function Documentation

Gtk::Toolbar* wrap | ( | GtkToolbar* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- toolbar.h